# == Class: myapache::config
#
#   Defines configurations needed to setup an apache web-server.
#
class myapache::config {

  # replace default webpage installed by the myapache package
  file { $myapache::params::def_index_html :
    ensure  => present,
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    #source  => "puppet:///modules/myapache/default-index.html",
    content => template('myapache/default-index.html.erb'),
  }

  # change default ports
  # this could also be done using templates!!
  case $::osfamily {

    RedHat: {
      augeas { 'myapache-port':
        context => '/files/etc/httpd/conf/httpd.conf/',
        changes => [
          "set directive[.='Listen']/arg ${myapache::port}",
        ],
      }
    }

    Debian: {
      augeas { 'myapache-vhost-port':
        context => '/files/etc/apache2/sites-available/default/VirtualHost',
        changes => [
          "set arg *:${myapache::port}",
        ],
      }
      augeas { 'myapache-port':
        context => '/files/etc/apache2/ports.conf/',
        changes => [
          "set directive[.='NameVirtualHost']/arg *:${myapache::port}",
          "set directive[.='Listen']/arg ${myapache::port}",
        ],
      }
    }

    default: {
      fail("The ${module_name} module is not supported on ${::operatingsystem}")
    }

  }

}
